sink("statsOutputs.txt", append=FALSE, split=FALSE)


rm(list=ls(all=TRUE)) #clear the workspace

comp1<-read.csv("baseline.csv")
comp2<-read.csv("largerDisc.csv")
comp3<-read.csv("smallerDisc.csv")
comp4<-read.csv("largerRatio.csv")
comp5<-read.csv("smallerRatio.csv")

print ("DETERMINATION + CONCORDANCE")
print ("===========================")
require(epiR)
print ("Size effect")
print ("larger")

	print ("displacement")
	reg = lm(comp1$d~comp2$d)#linear regression
	reg1 = epi.ccc(comp1$d, comp2$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(comp1$k~comp2$k)#linear regression
	reg1 = epi.ccc(comp1$k, comp2$k)
	print(summary(reg))
	print(reg1)#ccc

print ("smaller")

	print ("displacement")
	reg = lm(comp1$d~comp3$d)#linear regression
	reg1 = epi.ccc(comp1$d, comp3$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(comp1$k~comp3$k)#linear regression
	reg1 = epi.ccc(comp1$k, comp3$k)
	print(summary(reg))
	print(reg1)#ccc

print ("Ratio effect")
print ("larger")

	print ("displacement")
	reg = lm(comp1$d~comp4$d)#linear regression
	reg1 = epi.ccc(comp1$d, comp4$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(comp1$k~comp4$k)#linear regression
	reg1 = epi.ccc(comp1$k, comp4$k)
	print(summary(reg))
	print(reg1)#ccc

print ("smaller")

	print ("displacement")
	reg = lm(comp1$d~comp5$d)#linear regression
	reg1 = epi.ccc(comp1$d, comp5$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(comp1$k~comp5$k)#linear regression
	reg1 = epi.ccc(comp1$k, comp5$k)
	print(summary(reg))
	print(reg1)#ccc

    