sink("statsOutputs.txt", append=FALSE, split=FALSE)


rm(list=ls(all=TRUE)) #clear the workspace

exp<-read.csv("experimental.csv")
comp1<-read.csv("baseline.csv")
comp2<-read.csv("direct.csv")
comp3<-read.csv("global.csv")

print ("DETERMINATION + CONCORDANCE")
print ("===========================")
require(epiR)
print ("experimental vs baseline")

	print ("displacement")
	reg = lm(exp$d~comp1$d)#linear regression
	reg1 = epi.ccc(exp$d, comp1$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(exp$k~comp1$k)#linear regression
	reg1 = epi.ccc(exp$k, comp1$k)
	print(summary(reg))
	print(reg1)#ccc

print ("experimental vs direct")

	print ("displacement")
	reg = lm(exp$d~comp2$d)#linear regression
	reg1 = epi.ccc(exp$d, comp2$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(exp$k~comp2$k)#linear regression
	reg1 = epi.ccc(exp$k, comp2$k)
	print(summary(reg))
	print(reg1)#ccc

print ("experimental vs global")

	print ("displacement")
	reg = lm(exp$d~comp3$d)#linear regression
	reg1 = epi.ccc(exp$d, comp3$d)
	print(summary(reg))
	print(reg1)

	print ("stiffness")
	reg = lm(exp$k~comp3$k)#linear regression
	reg1 = epi.ccc(exp$k, comp3$k)
	print(summary(reg))
	print(reg1)#ccc
    